=== debian/changelog ===
rdflib (6.1.1-1) unstable; urgency=medium

  * Team upload.
  * This upstream version
    Closes: #1005459, #1005463

 -- Andreas Tille <tille@debian.org>  Thu, 24 Feb 2022 10:09:43 +0100

rdflib (5.0.0-2) unstable; urgency=medium

  * Team upload.
  * python-rdflib-tools: Depend: python3-rdflib (= ${source:Version})
    Closes: #1002722
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * Add missing build dependency on dh addon.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Apply multi-arch hints.
    + python-rdflib-doc: Add Multi-Arch: foreign.
  * watch file standard 4 (routine-update)
  * Drop Build-Depends: dpkg-dev
  * Cleanup d/copyright from Files that are not included in source any more

 -- Andreas Tille <tille@debian.org>  Tue, 11 Jan 2022 12:40:59 +0100

rdflib (6.1.1-1~0exp) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * Add missing build dependency on dh addon.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Apply multi-arch hints.
    + python-rdflib-doc: Add Multi-Arch: foreign.
  * watch file standard 4 (routine-update)
  * Refresh doctest skipping patch
  * Freshen debian/copyright: remove patterns for no-longer distributed
    sources
  * Switch to pytest from nose

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 27 Dec 2021 16:00:20 +0100
