=== debian/control ===
Source: rdflib
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Christian M. Amsüss <chrysn@fsfe.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-pkg-resources,
               python3-lib2to3,
               python3-sphinx <!nodoc>,
               python3-sphinxcontrib.apidoc <!nodoc>,
# relevant both for testing and documentation generation (sphinx imports the modules)
               python3-isodate <!nocheck> <!nodoc>,
               python3-pyparsing <!nocheck> <!nodoc>,
# relevant for testing, but for some reasons at least some of those are
# required to build original-identical documentation, and I didn't take the
# time to find out which (and some assorted)
               python3-networkx <!nocheck> <!nodoc>,
               python3-html5lib <!nocheck> <!nodoc>,
               python3-sparqlwrapper <!nocheck> <!nodoc>,
               2to3 <!nocheck> <!nodoc>,
# relevant to testing, but have no bearing on documentation
               python3-pytest <!nocheck>,
               python3-pytest-subtests <!nocheck>,
               python3-bsddb3 <!nocheck>,
               python3-rdflib-jsonld <!nocheck>,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/rdflib
Vcs-Git: https://salsa.debian.org/python-team/packages/rdflib.git
Homepage: https://github.com/RDFLib/rdflib
Rules-Requires-Root: no

Package: python3-rdflib
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends}
# workaround for https://bugs.debian.org/841314
Recommends: python3-sparqlwrapper,
            python3-html5lib
#Recommends: ${python3:Recommends}
Suggests: python-rdflib-doc
Provides: ${python3:Provides}
Description: Python 3 library containing an RDF triple store and RDF parsers/serializers
 RDFLib is a Python library for working with the RDF W3C standard. The
 library contains RDF parsers/serializers and both in-memory and
 persistent Graph backend.
 .
 This package contains the Python 3 version of RDFLib.

Package: python-rdflib-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Python library containing an RDF triple store [...] (documentation)
 RDFLib is a Python library for working with the RDF W3C standard. The
 library contains RDF parsers/serializers and both in-memory and
 persistent Graph backend.
 .
 This is the common documentation package.
Build-Profiles: <!nodoc>
Multi-Arch: foreign

Package: python-rdflib-tools
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         python3,
         python3-rdflib (= ${source:Version}),
         python3-pkg-resources
Description: Python tools for converting to and from RDF
 RDFLib is a Python library for working with the RDF W3C standard. The
 library contains RDF parsers/serializers and both in-memory and
 persistent Graph backend.
 .
 This package contains some executable tools.
