## rdflib 7.0.0

=== docker/latest/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.11
# by the following command:
#
#    pip-compile --resolver=backtracking docker/latest/requirements.in
#
html5lib==1.1
    # via -r docker/latest/requirements.in
isodate==0.6.1
    # via rdflib
pyparsing==3.0.9
    # via rdflib
rdflib==6.3.2
    # via -r docker/latest/requirements.in
six==1.16.0
    # via
    #   html5lib
    #   isodate
webencodings==0.5.1
    # via html5lib
