=== debian/changelog ===
rdflib (7.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 7.0.0
  * Remove 2to3 build dependency
  * Refresh patches
  * Review tests
  * Remove Python2 crumbs from d/rules
  * Add lintian override for false match

 -- Alexandre Detiste <tchet@debian.org>  Sat, 15 Jun 2024 14:20:26 +0200

rdflib (6.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version: last release prior to 7.0.
  * Added a patch to fix some SyntaxWarnings. Closes: #1067726
  * d/patches: refreshed
  * d/control: add poetry build-dep, and lxml; drop pkg-resources and
    lib2to3
  * d/TODO: removed entries that are no longer relevant or needed.
    - jsonlayer.py was removed from RDFLib in version 5.0
    - pyRdfa has been available in Debian since 2020-07 (Debian 11, "bullseye")
    - rdfpipe was integrated into RDFLib from the rdfextras package in 2013
      (RDFLib version 4.0)
    - Debian has been building and testing RDFLib as Python3 only package
      since "bullseye".
  * d/control: add myst-parser and sphinx-autodoc-typehints for building
    the docs.
  * d/rules: adjust skipped test list.
  * d/{tests/,}control: pytest-subtests is no longer used, add
        python3-pytest-cov for the 'no_cover' fixture to prevent errors during
        test collection.
  * d/copyright: update paths to turtle and trig test data from W3C.
  * d/patches/privacy: remove remote image to preserve user privacy.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Apr 2024 07:23:57 +0200

rdflib (6.1.1-4) unstable; urgency=medium

  * Team upload.

  [ James Addison ]
  * python-rdflib-doc: enable Sphinx autodoc preservation of method-
    argument defaults. Closes: #1066016

  [ Michael R. Crusoe ]
  * d/patches/pytest8: support Pytest version 8.x. Closes: #1063984, #1066741

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 14 Mar 2024 13:21:35 +0100

rdflib (6.1.1-3) unstable; urgency=medium

  * Team upload.
  * d/control: remove the rdflib-jsonld build-dep, no longer needed.
  * d/clean: remove the autogenerated apidocs directory to enable
    building again after a successful build. Closes: #1048992
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * d/tests/python3: skip testGuessFormatForParse due to external breakage

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 02 Feb 2024 12:48:16 +0100

rdflib (6.1.1-2) unstable; urgency=medium

  * Team upload.
  * d/rules: call sphinx-build directly instead of using setup.py
    sphinx_build. Closes: #1042696
  * d/patches/intersphinx: link to the local Python 3 docs
  * Standards-Version: 4.6.2 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 07 Aug 2023 09:27:53 +0200
