=== debian/control ===
--- 
+++ 
@@ -4,11 +4,13 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
-               python3-setuptools,
-               python3-pkg-resources,
-               python3-lib2to3,
+               pybuild-plugin-pyproject,
+               python3-poetry-core,
+               python3-sphinx-autodoc-typehints <!nodoc>,
+               python3-myst-parser <!nodoc>,
+               python3-doc <!nodoc>,
                python3-sphinx <!nodoc>,
                python3-sphinxcontrib.apidoc <!nodoc>,
 # relevant both for testing and documentation generation (sphinx imports the modules)
@@ -17,16 +19,16 @@
 # relevant for testing, but for some reasons at least some of those are
 # required to build original-identical documentation, and I didn't take the
 # time to find out which (and some assorted)
+               python3-lxml <!nocheck> <!nodoc>,
                python3-networkx <!nocheck> <!nodoc>,
                python3-html5lib <!nocheck> <!nodoc>,
                python3-sparqlwrapper <!nocheck> <!nodoc>,
-               2to3 <!nocheck> <!nodoc>,
 # relevant to testing, but have no bearing on documentation
+               python3-pip <!nocheck>,
                python3-pytest <!nocheck>,
-               python3-pytest-subtests <!nocheck>,
-               python3-bsddb3 <!nocheck>,
-               python3-rdflib-jsonld <!nocheck>,
-Standards-Version: 4.6.0
+               python3-pytest-cov <!nocheck>,
+               python3-bsddb3 <!nocheck>
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/rdflib
 Vcs-Git: https://salsa.debian.org/python-team/packages/rdflib.git
 Homepage: https://github.com/RDFLib/rdflib
@@ -70,8 +72,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          python3,
-         python3-rdflib (= ${source:Version}),
-         python3-pkg-resources
+         python3-rdflib (= ${source:Version})
 Description: Python tools for converting to and from RDF
  RDFLib is a Python library for working with the RDF W3C standard. The
  library contains RDF parsers/serializers and both in-memory and
