=== debian/tests/control ===
Tests: python3
Depends: @, python3-setuptools, python3-sparqlwrapper, python3-pytest, python3-requests, python3-html5lib, python3-pytest-cov, python3-pip
Restrictions: allow-stderr
