## rdflib 7.1.0

=== docker/latest/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.11
# by the following command:
#
#    pip-compile --config=pyproject.toml docker/latest/requirements.in
#
html5lib-modern==1.2
    # via -r docker/latest/requirements.in
isodate==0.7.2; python_version < "3.11"
    # via rdflib
pyparsing==3.0.9
    # via rdflib
rdflib==7.0.0
    # via -r docker/latest/requirements.in
# isodate is required to allow the Dockerfile to build on with pre-RDFLib-7.1 releases.
isodate==0.7.2
    # via -r docker/latest/requirements.in
