=== debian/changelog ===
rdflib (7.1.0-1) unstable; urgency=medium

  * Team upload.
  * d/control: isodata & pyparsing are pulled in by other dependencies
    even when not building the docs and running the tests.
  * d/patches/intersphinx: link to the packaged Python3 docs, not to the
    web
  * d/control: build-dep on type-extensions to quiet a warning while
    building the docs
  * d/rules: disable the docs due to
    https://github.com/RDFLib/rdflib/issues/2912
    Closes: #1078315
  * Refresh patches

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 22 Oct 2024 14:30:49 +0200
