=== debian/control ===
--- 
+++ 
@@ -9,13 +9,14 @@
                pybuild-plugin-pyproject,
                python3-poetry-core,
                python3-sphinx-autodoc-typehints <!nodoc>,
+               python3-isodate,
+               python3-pyparsing,
+# all dependencies need to be listed so that the "python3:Depends" substitution variable is filled out correctly
+               python3-typing-extensions <!nodoc>,
                python3-myst-parser <!nodoc>,
                python3-doc <!nodoc>,
                python3-sphinx <!nodoc>,
                python3-sphinxcontrib.apidoc <!nodoc>,
-# relevant both for testing and documentation generation (sphinx imports the modules)
-               python3-isodate <!nocheck> <!nodoc>,
-               python3-pyparsing <!nocheck> <!nodoc>,
 # relevant for testing, but for some reasons at least some of those are
 # required to build original-identical documentation, and I didn't take the
 # time to find out which (and some assorted)
