=== debian/rules ===
--- 
+++ 
@@ -20,10 +20,11 @@
 
 # upstream requires more recent sphinx now, which we have in stock Debian.
 # Dynamically enable nodoc profile if sphinx is too old to simplify backports
-SPHINX_VER = $(shell dpkg --compare-versions `dpkg -l python3-sphinx | awk '/^ii/{print $$3;}'` ge 5.3 && echo new || echo old )
-ifeq "$(SPHINX_VER)" "old"
+# SPHINX_VER = $(shell dpkg --compare-versions `dpkg -l python3-sphinx | awk '/^ii/{print $$3;}'` ge 5.3 && echo new || echo old )
+# ifeq "$(SPHINX_VER)" "old"
     export DEB_BUILD_PROFILES += nodoc
-endif
+# endif
+# disable docs due to https://bugs.debian.org/1078315
 
 %:
 ifneq "$(shell dh_listpackages | grep -- -doc)" ""
