## rdflib 7.1.1

=== docker/latest/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.12
# by the following command:
#
#    pip-compile docker/latest/requirements.in
#
html5rdf==1.2
    # via
    #   -r docker/latest/requirements.in
    #   rdflib
html5lib-modern==1.2
    # via -r docker/latest/requirements.in
pyparsing==3.0.9
    # via rdflib
rdflib==7.1.0
    # via -r docker/latest/requirements.in
