=== debian/changelog ===
rdflib (7.1.1-3) unstable; urgency=medium

  * Team upload
  * autopkgtest: Prevent running tests marked webtest (Closes: #1108255)

 -- Bastian Germann <bage@debian.org>  Thu, 03 Jul 2025 08:42:23 +0200

rdflib (7.1.1-2) unstable; urgency=medium

  * Team upload.
  * d/{,tests/}control: skip python3-orjson on i386 where it is not
    available.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 09 Nov 2024 16:18:49 +0100

rdflib (7.1.1-1) unstable; urgency=medium

  * Team upload.
  * Refreshed the patch metadata
  * New dependency: python3-html5rdf
  * Added two patches from upstream and re-enabled the docs
  * d/control: drop build-dependency on python3-sparqlwrapper, it hasn't been
    needed since rdflib 4.x ; and was causing a build-loop with rdflib itself.
  * d/control: expand the list of recommended packages to match
    upstream's extras. Install all extras when running the tests.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 07 Nov 2024 15:45:17 +0100
