=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               dh-sequence-sphinxdoc <!nodoc>,
                python3-all,
                pybuild-plugin-pyproject,
                python3-poetry-core,
@@ -22,13 +23,13 @@
 # time to find out which (and some assorted)
                python3-lxml <!nocheck> <!nodoc>,
                python3-networkx <!nocheck> <!nodoc>,
-               python3-html5lib <!nocheck> <!nodoc>,
-               python3-sparqlwrapper <!nocheck> <!nodoc>,
+               python3-html5rdf <!nocheck> <!nodoc>,
 # relevant to testing, but have no bearing on documentation
                python3-pip <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>,
-               python3-bsddb3 <!nocheck>
+               python3-bsddb3 <!nocheck>,
+               python3-orjson [!i386] <!nocheck>
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/rdflib
 Vcs-Git: https://salsa.debian.org/python-team/packages/rdflib.git
@@ -40,10 +41,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python3:Depends}
-# workaround for https://bugs.debian.org/841314
-Recommends: python3-sparqlwrapper,
-            python3-html5lib
-#Recommends: ${python3:Recommends}
+Recommends: ${python3:Recommends}
 Suggests: python-rdflib-doc
 Provides: ${python3:Provides}
 Description: Python 3 library containing an RDF triple store and RDF parsers/serializers
