=== debian/rules ===
--- 
+++ 
@@ -20,32 +20,22 @@
 
 # upstream requires more recent sphinx now, which we have in stock Debian.
 # Dynamically enable nodoc profile if sphinx is too old to simplify backports
-# SPHINX_VER = $(shell dpkg --compare-versions `dpkg -l python3-sphinx | awk '/^ii/{print $$3;}'` ge 5.3 && echo new || echo old )
-# ifeq "$(SPHINX_VER)" "old"
+SPHINX_VER = $(shell dpkg --compare-versions `dpkg-query -W python3-sphinx | awk '{print $$2;}'` ge 7.1 && echo new || echo old )
+ifeq "$(SPHINX_VER)" "old"
     export DEB_BUILD_PROFILES += nodoc
-# endif
-# disable docs due to https://bugs.debian.org/1078315
+    export DEB_BUILD_OPTIONS += nodoc
+endif
+
+ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
+    export PYBUILD_AFTER_BUILD={interpreter} -m sphinx {dir}/docs {dir}/build/sphinx/html
+endif
+
 
 %:
-ifneq "$(shell dh_listpackages | grep -- -doc)" ""
-	dh $@ --with sphinxdoc --buildsystem=pybuild
-else
 	dh $@ --buildsystem=pybuild
-endif
-
-override_dh_auto_build:
-ifneq "$(shell dh_listpackages | grep -- -doc)" ""
-	sphinx-build docs build/sphinx/html
-endif
-	dh_auto_build
-
-override_dh_sphinxdoc:
-ifneq "$(shell dh_listpackages | grep -- -doc)" ""
-	dh_sphinxdoc
-endif
 
 override_dh_installexamples:
 	dh_installexamples -X.pyc
 
 override_dh_python3:
-	dh_python3 --recommends-section=sparql --recommends-section=html
+	dh_python3 --recommends-section=html --recommends-section=berkeleydb --recommends-section=lxml --recommends-section=networkx --recommends-section=orjson
