=== debian/tests/control ===
Tests: python3
Depends: @, python3-setuptools, python3-sparqlwrapper, python3-pytest, python3-requests, python3-html5rdf, python3-pytest-cov, python3-pip, python3-orjson [!i386], python3-networkx, python3-lxml, python3-bsddb3
Restrictions: allow-stderr
