=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/rdflib-$1\.tar\.gz/ \
  https://github.com/RDFLib/rdflib/tags .*/v?(\d\S*)\.tar\.gz
