## rdflib 7.4.0

=== debian/changelog ===
rdflib (7.4.0-1) unstable; urgency=low

  * Team upload.
  * New upstream version 7.4.0
  * Migrate from sphinx to mkdocs
  * Refresh patches
  * Disable failing tests test_sparqleval and test_parser
  * Disable the test-build-any job in Salsa CI
  * Declare compliance with Standards-Version 4.7.2

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Sun, 23 Nov 2025 18:58:00 -0300
