=== debian/control ===
--- 
+++ 
@@ -5,19 +5,21 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
-               dh-sequence-sphinxdoc <!nodoc>,
+               mkdocs <!nodoc>,
+               mkdocs-gen-files <!nodoc>,
+               mkdocs-include-markdown-plugin <!nodoc>,
+               mkdocs-material <!nodoc>,
+               mkdocstrings <!nodoc>,
+               mkdocstrings-python-handlers <!nodoc>,
                python3-all,
                pybuild-plugin-pyproject,
                python3-poetry-core,
-               python3-sphinx-autodoc-typehints <!nodoc>,
                python3-isodate,
                python3-pyparsing,
 # all dependencies need to be listed so that the "python3:Depends" substitution variable is filled out correctly
                python3-typing-extensions <!nodoc>,
                python3-myst-parser <!nodoc>,
                python3-doc <!nodoc>,
-               python3-sphinx <!nodoc>,
-               python3-sphinxcontrib.apidoc <!nodoc>,
 # relevant for testing, but for some reasons at least some of those are
 # required to build original-identical documentation, and I didn't take the
 # time to find out which (and some assorted)
@@ -28,9 +30,10 @@
                python3-pip <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>,
+               python3-setuptools <!nocheck>,
                python3-bsddb3 <!nocheck>,
                python3-orjson [!i386] <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/rdflib
 Vcs-Git: https://salsa.debian.org/python-team/packages/rdflib.git
 Homepage: https://github.com/RDFLib/rdflib
@@ -54,9 +57,7 @@
 Package: python-rdflib-doc
 Architecture: all
 Section: doc
-Depends: ${sphinxdoc:Depends},
-         ${misc:Depends}
-Built-Using: ${sphinxdoc:Built-Using}
+Depends: ${misc:Depends}
 Description: Python library containing an RDF triple store [...] (documentation)
  RDFLib is a Python library for working with the RDF W3C standard. The
  library contains RDF parsers/serializers and both in-memory and
